triangularMesh.hh File Reference
`#include <string>`
`#include <mia/core/iodata.hh>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/iohandler.hh>`
`#include <mia/3d/vector.hh>`
Include dependency graph for triangularMesh.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | CTriangleMesh
| A class to deine a triangle mesh with some attributes. More...

## Macros

#define | EXPORT_MESH __attribute__((visibility("default")))
| define visibility for proper export

## Typedefs

typedef TIOPlugin< CTriangleMesh > | CMeshIOPlugin
| IO plugin for triangular meshes.
typedef THandlerSingleton< TIOPluginHandler< CMeshIOPlugin > > | CMeshIOPluginHandler
| Plug-in handler for triangulat mesh IO.
typedef CTriangleMesh::Pointer | PTriangleMesh
| Pointer type of the CTriangle mesh class.

## Functions

template<class Deformation>
CTriangleMesh | colorize_mesh (const CTriangleMesh &mesh, const Deformation &deform)
template<class Deformation>
void | colorize_mesh (CTriangleMesh *mesh, const Deformation &deform)
PTriangleMesh EXPORT_MESH | get_sub_mesh (const CTriangleMesh &mesh, const std::vector< unsigned > &triangle_indices)

## Variables

template class EXPORT_MESH | TIOPlugin< CTriangleMesh >
template class EXPORT_MESH | TPlugin< CTriangleMesh, io_plugin_type >

## Macro Definition Documentation

## EXPORT_MESH

#define EXPORT_MESH __attribute__((visibility("default")))

define visibility for proper export

Definition at line 44 of file triangularMesh.hh.

Referenced by get_sub_mesh(), run_filter(), and run_filter_chain().

## Typedef Documentation

## CMeshIOPlugin

typedef TIOPlugin<CTriangleMesh> CMeshIOPlugin

IO plugin for triangular meshes.

Definition at line 344 of file triangularMesh.hh.

## CMeshIOPluginHandler

typedef THandlerSingleton<TIOPluginHandler<CMeshIOPlugin> > CMeshIOPluginHandler

Plug-in handler for triangulat mesh IO.

Definition at line 350 of file triangularMesh.hh.

## PTriangleMesh

typedef CTriangleMesh::Pointer PTriangleMesh

Pointer type of the CTriangle mesh class.

Definition at line 287 of file triangularMesh.hh.

## Function Documentation

## colorize_mesh() [1/2]

template<class Deformation>

CTriangleMesh colorize_mesh | ( | const CTriangleMesh & | mesh,
|  | const Deformation & | deform )

This function is used to generate the deformation scale of a mesh as the scalar product of the surface normal and a deformation field.

Parameters

  mesh | the input mesh
  deform | the deformation to be used to set the scale values

Returns
  a copy of the input mesh with additionally set scale values and possibly added normals

Definition at line 328 of file triangularMesh.hh.

References colorize_mesh().

## colorize_mesh() [2/2]

template<class Deformation>

void colorize_mesh | ( | CTriangleMesh * | mesh,
|  | const Deformation & | deform )

This function is used to generate the deformation scale of a mesh as the scalar product of the surface normal and a deformation field. if neccessary the normals are evaluated

Parameters

  mesh | the mesh whose scale values will be set
  deform | the deformation to be used to set the scale values

Definition at line 301 of file triangularMesh.hh.

References dot(), CTriangleMesh::ed_normal, CTriangleMesh::evaluate_normals(), and CTriangleMesh::get_available_data().

Referenced by colorize_mesh().

## get_sub_mesh()

PTriangleMesh EXPORT_MESH get_sub_mesh | ( | const CTriangleMesh & | mesh,
|  | const std::vector< unsigned > & | triangle_indices )

References EXPORT_MESH.

## Variable Documentation

## TIOPlugin< CTriangleMesh >

template class EXPORT_MESH TIOPlugin< CTriangleMesh >

extern

## TPlugin< CTriangleMesh, io_plugin_type >

template class EXPORT_MESH TPlugin< CTriangleMesh, io_plugin_type >

extern